package org.wso2.carbon.device.mgt.ios.core.internal;

import org.wso2.carbon.certificate.mgt.core.service.CertificateManagementService;
import org.wso2.carbon.device.mgt.core.service.DeviceManagementProviderService;

public class IOSEnrollmentServiceHolder {

    private static final IOSEnrollmentServiceHolder enrollmentServiceHolder = new IOSEnrollmentServiceHolder();
    private DeviceManagementProviderService deviceManagementService;
    private CertificateManagementService certificateManagementService;

    private IOSEnrollmentServiceHolder() {}

    public static IOSEnrollmentServiceHolder getInstance() {
        return enrollmentServiceHolder;
    }

    public DeviceManagementProviderService getDeviceManagementService() {
        return deviceManagementService;
    }

    public void setDeviceManagementService(DeviceManagementProviderService deviceManagerService) {
        this.deviceManagementService = deviceManagerService;
    }

    public CertificateManagementService getCertificateManagementService() {
        return certificateManagementService;
    }

    public void setCertificateManagementService(CertificateManagementService certificateManagementService) {
        this.certificateManagementService = certificateManagementService;
    }
}
